Fehlermeldung nach Joomla Update

  • Hallo zusammen,


    ich steh mal wieder auf dem Schlauch und komme nicht weiter.


    Seit ein paar Wochen, nach einem Joomla update habe ich folgende Fehlermeldung auf meiner Page:


    Fehlermeldung 1:


    Deprecated: Array and string offset access syntax with curly braces is deprecated in /customers/d/a/a/lx-pipes.de/httpd.www/plugins/system/helix3/core/classes/lessc.inc.php on line 717


    Deprecated: Array and string offset access syntax with curly braces is deprecated in /customers/d/a/a/lx-pipes.de/httpd.www/plugins/system/helix3/core/classes/lessc.inc.php on line 1768


    Deprecated: Array and string offset access syntax with curly braces is deprecated in /customers/d/a/a/lx-pipes.de/httpd.www/plugins/system/helix3/core/classes/lessc.inc.php on line 2424


    Deprecated: Array and string offset access syntax with curly braces is deprecated in /customers/d/a/a/lx-pipes.de/httpd.www/plugins/system/helix3/core/classes/lessc.inc.php on line 2478


    Fehlermeldung 2:


    "Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /customers/d/a/a/lx-pipes.de/httpd.www/plugins/system/helix3/core/classes/menu.php on line 89"



    Wenn ich die Seite mit F5 refreshe, sind die Meldungen weg.


    Vielen Dank schon mal :-)


  • Ist das Helix-3-Framework-Plugin aktuell bei dir?

    Hast du die PHP-Version kürzlich angehoben?


    Dass sie nach einem Reload nicht mehr da sind, könnte daran liegen, dass du einen Cache aktiv hast und/oder JCH Optimize oder was in der Art. Oder das Helix-3-Template nur gelegentlich LESS bemüht (dabei wird die CSS-Datei neu erzeugt). Bei Joomla-Updates wird der Cache ja gelöscht im Normalfall. Oder irgend so was ;-)


    Die Meldungen bekommst du weg, indem du in der Konfiguration "Fehler berichten" auf "Keine" stellst. Das ist aber keine dauerhafte Lösung, weil die irgendwann zu erheblichen Fehlern werden, wenn du PHP-Versionen irgendwann mal auf PHP 8 stellst, was jetzt irgendwann für uns alle kommen wird...

  • Gibt es kein Update von dem Framework?


    Noch ein Hinweis:


    Wenn du sonst nichts unternimmst, wird zumindest der Less-Compiler nicht mehr funktionieren, das lässt sich aber schnell korrigeren, suche und öffne dazu einfach die Datei lessc.inc.php und ersetze { } auf den vier Zeilen jeweils mit [ ].


  • Fehlermeldung 1:


    Deprecated: Array and string offset access syntax with curly braces is deprecated in /customers/d/a/a/lx-pipes.de/httpd.www/plugins/system/helix3/core/classes/lessc.inc.php on line 717


    Stand ja auch in den Meldungen! ;)